Package com.oracle.truffle.object.basic

## Class BasicLocations.MethodHandleFieldLocation

- java.lang.Object
- - com.oracle.truffle.api.object.Location
  - - com.oracle.truffle.object.LocationImpl
    - - com.oracle.truffle.object.basic.BasicLocations.FieldLocation
      - - com.oracle.truffle.object.basic.BasicLocations.MethodHandleFieldLocation

All Implemented Interfaces:
  `BaseLocation`

Direct Known Subclasses:
  `BasicLocations.LongFieldLocation`, `BasicLocations.ObjectFieldLocation`

Enclosing class:
  BasicLocations

    public abstract static class BasicLocations.MethodHandleFieldLocation
    extends BasicLocations.FieldLocation

### Nested Class Summary

### Nested classes/interfaces inherited from class com.oracle.truffle.object.LocationImpl

`LocationImpl.EffectivelyFinalLocation<T extends Location>, LocationImpl.InternalLongLocation, LocationImpl.TypedObjectLocation<T extends Location & ObjectLocation>`

### Field Summary

Fields
`protected java.lang.invoke.MethodHandle` `getter`
`protected java.lang.invoke.MethodHandle` `setter`

### Constructor Summary

Constructors
`MethodHandleFieldLocation​(int index, java.lang.invoke.MethodHandle getter, java.lang.invoke.MethodHandle setter)`

### Method Summary

### Methods inherited from class com.oracle.truffle.object.basic.BasicLocations.FieldLocation

`equals, getIndex, getWhereString, hashCode`

### Methods inherited from class com.oracle.truffle.object.LocationImpl

`canSet, canStore, canStoreFinal, getInternal, isConstant, isFinal, objectArrayCount, objectFieldCount, primitiveArrayCount, primitiveFieldCount, set, setInternal, toString, valueEquals`

### Methods inherited from class com.oracle.truffle.api.object.Location

`checkShape, finalLocation, get, get, incompatibleLocation, set, set`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### getter

    protected final java.lang.invoke.MethodHandle getter

#### setter

    protected final java.lang.invoke.MethodHandle setter

### Constructor Detail

#### MethodHandleFieldLocation

    public MethodHandleFieldLocation​(int index,
                                     java.lang.invoke.MethodHandle getter,
                                     java.lang.invoke.MethodHandle setter)